## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 17;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name pytest-qt
%global forgeurl https://github.com/pytest-dev/pytest-qt

Name:           python-%{pypi_name}
Version:        4.4.0
Release:        %{autorelease}
Summary:        pytest support for PyQt and PySide applications
%global tag %{version}
%forgemeta
# src/pytestqt/modeltest.py is licensed LGPL-3.0-only OR GPL-2.0-or-later
License:        MIT AND (LGPL-3.0-only OR GPL-2.0-or-later)
URL:            %forgeurl
Source:         %forgesource
# Stop gap measure for one failing test after PySide 6.8.0 has landed.
# https://github.com/pytest-dev/pytest-qt/issues/575
Patch:          fix_test_failing_with_PySide-6.8.0.patch
# PySide6 now exposes `qInfo`. Patch test accordingly.
# https://github.com/pytest-dev/pytest-qt/pull/593
# Patch rebased onto current release.
Patch:          0001-Enable-qInfo-tests-for-PySide6.patch

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
pytest-qt is a pytest plugin that allows programmers to write tests for
PyQt5, PyQt6 and PySide6 applications.

The main usage is to use the qtbot fixture, responsible for handling
qApp creation as needed and provides methods to simulate user
interaction, like key presses and mouse clicks. This allows you to test
and make sure your view layer is behaving the way you expect after each
code change.}

%description %_description


%package -n python3-%{pypi_name}
Summary:        %{summary}
# Without a DISPLAY `pytest-qt` will immediately crash. Upstream
# recommends using `pytest-xvfb`, which will take care of it.
# https://pytest-qt.readthedocs.io/en/stable/troubleshooting.html
Requires:     %{py3_dist pytest-xvfb}

%description -n python3-%{pypi_name} %_description


%prep
%forgeautosetup -p1


%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION="%{version}"
%pyproject_buildrequires -e %{toxenv}-pyqt6,%{toxenv}-pyside6,%{toxenv}-pyqt5


%build
export SETUPTOOLS_SCM_PRETEND_VERSION="%{version}"
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l pytestqt


%check
# Tests checks if ENV variable overrides INI file setting
# Not sure why it fails, but it seems to work in practice. Skip!
k="${k-}${k+ and }not test_qt_api_ini_config"
# https://github.com/pytest-dev/pytest-qt/issues/179
export QT_LOGGING_RULES="default.debug=true"
%tox -- -- "${k+-k $k}"


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst CHANGELOG.rst


%changelog
## START: Generated by rpmautospec
* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 4.4.0-17
- Rebuilt for Python 3.14

* Tue Mar 11 2025 Sandro <devel@penguinpee.nl> - 4.4.0-15
- Apply patch fixing test_qinfo

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Dec 19 2024 Sandro <devel@penguinpee.nl> - 4.4.0-10
- Add recommended dependency on pytest-xvfb

* Fri Oct 18 2024 Sandro <devel@penguinpee.nl> - 4.4.0-8
- Fix test failing with PySide >= 6.8.0

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jun 19 2024 Python Maint <python-maint@redhat.com> - 4.4.0-5
- Rebuilt for Python 3.13

* Tue Apr 23 2024 Sandro <devel@penguinpee.nl> - 4.4.0-3
- Disable test failing with PySide6>=6.7.0
- Solve FTBFS for now (RHBZ#2276586)

* Tue Mar 26 2024 Sandro <devel@penguinpee.nl> - 4.4.0-2
- Disable pyside6 test dependency for Fedora < 41

* Mon Mar 18 2024 Sandro <devel@penguinpee.nl> - 4.4.0-1
- Initial release (RHBZ#2268677)
- pytest support for PyQt and PySide applications
## END: Generated by rpmautospec
